import es, playerlib, usermsg

info = es.AddonInfo()
info.name = "Vc_Stats"
info.basename = "vcstats"
info.author = "viSuaLcoderZ (sea212)"
info.version = "1.0 FINAL"
info.url = "http://addons.eventscripts.com/view/vcstats"

def load():
	if not es.exists("clientcommand", "vc_stats"):
		es.regclientcmd("vc_stats", "vcstats/getstats")

	es.ServerVar("vcstats", "%s version %s" % (info.name, info.version)).makepublic()
	
def unload():
	if es.exists("clientcommand", "vc_stats"):
		es.unregclientcmd("vc_stats")
	
def getstats():
	userid = es.getcmduserid()
	gotargc = es.getargc()
	if gotargc == 1:
		usermsg.echo(userid, "wrong syntax... usage: vc_stats all/userid <optional: var>. examples:\nvc_stats all          <-- shows the stats of all players")
		usermsg.echo(userid, "vc_stats 4            <-- shows the stats of the userid 4")
		usermsg.echo(userid, "vc_stats 4 cl_cmdrate <-- shows the stats of the variable cl_cmdrate from userid 4")
	
	elif gotargc == 2:
		gotargv = es.getargv(1)
		if gotargv != "all" and es.exists("userid", gotargv):
			usermsg.echo(userid, "----------------------------------------------------")
			usermsg.echo(userid, "#  name          : %s\n#  steamid       : %s\n#  rate          : %s\n#  cl_cmdrate    : %s" % (es.getplayername(gotargv), es.getplayersteamid(gotargv), es.getclientvar(gotargv, "rate"), es.getclientvar(gotargv, "cl_cmdrate")))
			usermsg.echo(userid, "#  cl_updaterate : %s\n#  language      : %s\n\n#  Script by sea212 (viSuaLcoderZ)" % (es.getclientvar(gotargv, "cl_updaterate"), es.getclientvar(gotargv, "cl_language")))
			usermsg.echo(userid, "#  find on: www.addons.eventscripts.com/view/vcstats")
			usermsg.echo(userid, "----------------------------------------------------")
			
		elif gotargv != "all" and not es.exists("userid", gotargv):
			usermsg.echo(userid, "error: userid does not exist.")
			
		elif gotargv == "all":
			usermsg.echo(userid, "name/steamid/rate/cl_cmdrate/cl_updaterate/language")
			usermsg.echo(userid, "\n")
			usermsg.echo(userid, "------------------------------------------------------------------------")
			for player in playerlib.getPlayerList("#human"):
				player = int(player)
				usermsg.echo(userid, "#  %s/%s/%s/%s/%s/%s" % (es.getplayername(player), es.getplayersteamid(player), es.getclientvar(player, "rate"), es.getclientvar(player, "cl_cmdrate"), es.getclientvar(player, "cl_updaterate"), es.getclientvar(player, "cl_language")))
			
			usermsg.echo(userid, "------------------------------------------------------------------------")
			usermsg.echo(userid, "#  Script by sea212 (viSuaLcoderZ)")
			usermsg.echo(userid, "#  find on: www.addons.eventscripts.com/view/vcstats")
			usermsg.echo(userid, "------------------------------------------------------------------------")
			
	elif gotargc == 3:
		gotargv = es.getargv(1)
		if gotargv != "all" and es.exists("userid", gotargv) and es.getargv(2).startswith("cl_") or es.getargv(2) == "rate":
			if es.getclientvar(gotargv, es.getargv(2)) != "":
				usermsg.echo(userid, "----------------------------------------------------")
				usermsg.echo(userid, "#  player %s does have the var %s on %s" % (es.getplayername(gotargv), es.getargv(2), es.getclientvar(gotargv, es.getargv(2))))
				usermsg.echo(userid, "\n#  Script by sea212 (viSuaLcoderZ)\n#  find on: www.addons.eventscripts.com/view/vcstats")
				usermsg.echo(userid, "----------------------------------------------------")
			else:
				usermsg.echo(userid, "cannot get his var...")
		
		elif gotargv != "all" and not es.exists("userid", gotargv):
			usermsg.echo(userid, "userid does not exist.")
			
		else:
			usermsg.echo(userid, "only use commands that start with: cl_ or rate")
		
	else:
		usermsg.echo(userid, "wrong syntax... usage: vc_stats all/userid <optional: var>. examples:\nvc_stats all          <-- shows the stats of all players")
		usermsg.echo(userid, "vc_stats 4            <-- shows the stats of the userid 4")
		usermsg.echo(userid, "vc_stats 4 cl_cmdrate <-- shows the stats of the variable cl_cmdrate from userid 4")
		
def player_say(event_var):
	if str(event_var["text"]).lower() == str(info.basename).lower():
		es.menu(20, event_var["userid"], "%s version %s by sea212 (c)\nwrite into the console vc_stats for infos\nfind on: www.addons.eventscripts.com/addons/vcstats\n->9. close" % (info.name, info.version), "9")